Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.net.http
Class SOAPHttpURLConnection

    java.lang.Object
      java.net.URLConnection
          java.net.HttpURLConnection
              weblogic.net.http.HttpURLConnection
                  weblogic.net.http.SOAPHttpURLConnection

Deprecated. Deprecated in WebLogic Server 9.0

    public final class SOAPHttpURLConnection

extends HttpURLConnection

Added so that the URLConnection conforms to the Http SOAP binding

Field Summary

Fields inherited from class weblogic.net.http.HttpURLConnection
`defaultConnectTimeout, rememberedException`

Fields inherited from class java.net.HttpURLConnection
`HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_IMPLEMENTED, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_SERVER_ERROR, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, instanceFollowRedirects, method, responseCode, responseMessage`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`SOAPHttpURLConnection(URL theURL)` Deprecated.
`SOAPHttpURLConnection(URL theURL, Proxy theProxy)` Deprecated.

Method Summary
`InputStream` | `getInputStream()` Deprecated.

Methods inherited from class weblogic.net.http.HttpURLConnection
`addRequestProperty, connect, disconnect, doSetRequests, followRedirect, getAuthInfo, getConnectTimeout, getErrorStream, getHeaderField, getHeaderField, getHeaderFieldKey, getHeaderFields, getHttpClient, getOutputStream, getProtocol, getProxyAuthString, getReadTimeout, getRequestProperties, getRequestProperty, getResponseCode, getSocketFactory, getTimeout, setChunkedStreamingMode, setConnectTimeout, setEmptyRequestProperty, setFixedLengthStreamingMode, setMuxableSocket, setReadTimeout, setRequestProperty, setSocketFactory, setTimeout, usingProxy, writeRequests`

Methods inherited from class java.net.HttpURLConnection
`getFollowRedirects, getHeaderFieldDate, getInstanceFollowRedirects, getPermission, getRequestMethod, getResponseMessage, setFollowRedirects, setInstanceFollowRedirects, setRequestMethod`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderFieldInt, getIfModifiedSince, getLastModified, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOAPHttpURLConnection

    public SOAPHttpURLConnection(URL theURL)

  Deprecated.

### SOAPHttpURLConnection

    public SOAPHttpURLConnection(URL theURL,
                                 Proxy theProxy)

  Deprecated.

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Deprecated.
  Overrides:
    `getInputStream` in class `HttpURLConnection`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD